Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate Class Reference

Parser for UserGroupUpdate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate:

## Public Member Functions
| __construct (UserService $userService, ContentService $contentService, LocationService $locationService, FieldTypeParser $fieldTypeParser)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $userService
| $contentService
| $locationService
| $fieldTypeParser
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for UserGroupUpdate.

Definition at line 21 of file UserGroupUpdate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::__construct | ( | UserService | $userService,
|  | ContentService | $contentService,
|  | LocationService | $locationService,
|  | FieldTypeParser | $fieldTypeParser
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\UserService | $userService |
  \eZ\Publish\API\Repository\ContentService | $contentService |
  \eZ\Publish\API\Repository\LocationService | $locationService |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |

Definition at line 59 of file UserGroupUpdate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\$contentService, eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\$fieldTypeParser, eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\$locationService, and eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\$userService.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\Core\REST\Server\Values\RestUserGroupUpdateStruct

Definition at line 75 of file UserGroupUpdate.php.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::$contentService
| protected

Definition at line 35 of file UserGroupUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\__construct().

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::$fieldTypeParser
| protected

Definition at line 49 of file UserGroupUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\__construct().

## ◆ $locationService

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::$locationService
| protected

Definition at line 42 of file UserGroupUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\__construct().

## ◆ $userService

eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate::$userService
| protected

Definition at line 28 of file UserGroupUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\UserGroupUpdate\__construct().

The documentation for this class was generated from the following file:

- UserGroupUpdate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.